% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/metabolite_pca.R
\name{metabolite_pca}
\alias{metabolite_pca}
\title{Metabolite PCA}
\usage{
metabolite_pca(data, Assay = "normalized", meta_var)
}
\arguments{
\item{data}{SummarizedExperiment with metabolomics experiment data.}

\item{Assay}{Name of the assay to be used for the pairwise analysis
(default='normalized')}

\item{meta_var}{A metadata variable to color code the PCA plot by.}
}
\value{
A PCA plot of the first two principal components, colored by the
metadata variable.
}
\description{
Computes and plots the first two components of the PCA from the metabolite
data.
}
\examples{

# load data
data("demoDat", package = "MetabolomicsPipeline")
dat <- demoDat

# Define PCA label from metadata
meta_var <- "Gender"

# Run PCA
pca <- metabolite_pca(dat,
    meta_var = meta_var
)


# Show PCA
pca

}
